import {createDriverAPI} from '@servicenow/ui-testing-helpers';
import {createNowIconDriver} from '@servicenow/now-icon/drivers';

export const createNowHighlightedValueDriver = createDriverAPI(
	'now-highlighted-value',
	({find, element, driver}) => {
		const __private = {
			async getIcon() {
				const icon = await driver.getNodes('>>> now-icon');
				return createNowIconDriver(icon, element);
			}
		};

		return {
			__private,

			/**
			 * Returns the text content of the highlighted-value
			 */
			async getText() {
				return (await find('.now-highlighted-value-label')).getText();
			}
		};
	}
);
